diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/attribute-accessor-helper.h ns-3.44/src/core/model/attribute-accessor-helper.h
--- ns-3.43/src/core/model/attribute-accessor-helper.h	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/core/model/attribute-accessor-helper.h	2025-03-09 16:55:49.355371000 -0700
@@ -11,8 +11,8 @@
 #include "attribute.h"
 
 /**
- * \file
- * \ingroup attributeimpl
+ * @file
+ * @ingroup attributeimpl
  * ns3::MakeAccessorHelper declarations and template implementations.
  */
 
@@ -20,23 +20,23 @@
 {
 
 /**
- * \ingroup attributeimpl
+ * @ingroup attributeimpl
  *
  * Create an AttributeAccessor for a class data member,
  * or a lone class get functor or set method.
  *
  * The get functor method should have a signature like
- * \code
+ * @code
  *   typedef U (T::*getter)() const
- * \endcode
+ * @endcode
  * where \pname{T} is the class and \pname{U} is the type of
  * the return value.
  *
  * The set method should have one of these signatures:
- * \code
+ * @code
  *   typedef void (T::*setter)(U)
  *   typedef bool (T::*setter)(U)
- * \endcode
+ * @endcode
  * where \pname{T} is the class and \pname{U} is the type of the value to set
  * the attribute to, which should be compatible with the
  * specific AttributeValue type \pname{V} which holds the value
@@ -44,37 +44,37 @@
  * In the case of a \pname{setter} returning \pname{bool,} the return value
  * should be \c true if the value could be set successfully.
  *
- * \tparam V  \explicit (If present) The specific AttributeValue type
+ * @tparam V  \explicit (If present) The specific AttributeValue type
  *            to use to represent the Attribute.  (If not present,
  *            the type \pname{V} is implicit in the name of this function,
  *            as "Make<V>Accessor"
- * \tparam T1 \deduced The type of the class data member,
+ * @tparam T1 \deduced The type of the class data member,
  *            or the type of the class get functor or set method.
- * \param [in] a1 The address of the data member,
+ * @param [in] a1 The address of the data member,
  *            or the get or set method.
- * \returns   The AttributeAccessor
+ * @returns   The AttributeAccessor
  */
 template <typename V, typename T1>
 inline Ptr<const AttributeAccessor> MakeAccessorHelper(T1 a1);
 
 /**
- * \ingroup attributeimpl
+ * @ingroup attributeimpl
  *
  * Create an AttributeAccessor using a pair of get functor
  * and set methods from a class.
  *
  * The get functor method should have a signature like
- * \code
+ * @code
  *   typedef U (T::*getter)() const
- * \endcode
+ * @endcode
  * where \pname{T} is the class and \pname{U} is the type of
  * the return value.
  *
  * The set method should have one of these signatures:
- * \code
+ * @code
  *   typedef void (T::*setter)(U)
  *   typedef bool (T::*setter)(U)
- * \endcode
+ * @endcode
  * where \pname{T} is the class and \pname{U} is the type of the value to set
  * the attribute to, which should be compatible with the
  * specific AttributeValue type \pname{V} which holds the value
@@ -85,17 +85,17 @@
  * In practice the setter and getter arguments can appear in either order,
  * but setter first is preferred.
  *
- * \tparam V  \explicit (If present) The specific AttributeValue type to use to represent
+ * @tparam V  \explicit (If present) The specific AttributeValue type to use to represent
  *            the Attribute.  (If not present, the type \pname{V} is implicit
  *            in the name of this function as "Make<V>Accessor"
- * \tparam T1 \deduced The type of the class data member,
+ * @tparam T1 \deduced The type of the class data member,
  *            or the type of the class get functor or set method.
  *
- * \tparam T2 \deduced The type of the getter class functor method.
- * \param [in] a2 The address of the class method to set the attribute.
- * \param [in] a1 The address of the data member,
+ * @tparam T2 \deduced The type of the getter class functor method.
+ * @param [in] a2 The address of the class method to set the attribute.
+ * @param [in] a1 The address of the data member,
  *            or the get or set method.
- * \returns   The AttributeAccessor
+ * @returns   The AttributeAccessor
  */
 template <typename V, typename T1, typename T2>
 inline Ptr<const AttributeAccessor> MakeAccessorHelper(T1 a1, T2 a2);
@@ -112,11 +112,11 @@
 {
 
 /**
- * \ingroup attributeimpl
+ * @ingroup attributeimpl
  *
  * The non-const and non-reference type equivalent to \pname{T}.
  *
- * \tparam T \explicit The original (possibly qualified) type.
+ * @tparam T \explicit The original (possibly qualified) type.
  */
 template <typename T>
 struct AccessorTrait
@@ -126,13 +126,13 @@
 };
 
 /**
- * \ingroup attributeimpl
+ * @ingroup attributeimpl
  *
  * Basic functionality for accessing class attributes via
  * class data members, or get functor/set methods.
  *
- * \tparam T \explicit Class of object holding the attribute.
- * \tparam U \explicit AttributeValue type for the underlying class member
+ * @tparam T \explicit Class of object holding the attribute.
+ * @tparam U \explicit AttributeValue type for the underlying class member
  *           which is an attribute.
  */
 template <typename T, typename U>
@@ -152,9 +152,9 @@
      *
      * Forwards to DoSet method.
      *
-     * \param [in] object Generic object pointer, to upcast to \pname{T}.
-     * \param [in] val Generic AttributeValue, to upcast to \pname{U}.
-     * \returns true if the member was set successfully.
+     * @param [in] object Generic object pointer, to upcast to \pname{T}.
+     * @param [in] val Generic AttributeValue, to upcast to \pname{U}.
+     * @returns true if the member was set successfully.
      */
     bool Set(ObjectBase* object, const AttributeValue& val) const override
     {
@@ -179,9 +179,9 @@
      *
      * Forwards to DoGet method.
      *
-     * \param [out] object Generic object pointer, to upcast to \pname{T}.
-     * \param [out] val Generic AttributeValue, to upcast to \pname{U}.
-     * \returns true if the member value could be retrieved successfully
+     * @param [out] object Generic object pointer, to upcast to \pname{T}.
+     * @param [out] val Generic AttributeValue, to upcast to \pname{U}.
+     * @returns true if the member value could be retrieved successfully
      */
     bool Get(const ObjectBase* object, AttributeValue& val) const override
     {
@@ -202,35 +202,35 @@
     /**
      * Setter implementation.
      *
-     * \see Set()
-     * \param [in] object The parent object holding the attribute.
-     * \param [in] v The specific AttributeValue to set.
-     * \returns true if the member was set successfully.
+     * @see Set()
+     * @param [in] object The parent object holding the attribute.
+     * @param [in] v The specific AttributeValue to set.
+     * @returns true if the member was set successfully.
      */
     virtual bool DoSet(T* object, const U* v) const = 0;
     /**
      * Getter implementation.
      *
-     * \see Get()
-     * \param [out] object The parent object holding the attribute.
-     * \param [out] v The specific AttributeValue to set.
-     * \returns true if the member value could be retrieved successfully
+     * @see Get()
+     * @param [out] object The parent object holding the attribute.
+     * @param [out] v The specific AttributeValue to set.
+     * @returns true if the member value could be retrieved successfully
      */
     virtual bool DoGet(const T* object, U* v) const = 0;
 
 }; // class AccessorHelper
 
 /**
- * \ingroup attributeimpl
+ * @ingroup attributeimpl
  *
  * MakeAccessorHelper implementation for a class data member.
  *
- * \tparam V  \explicit The specific AttributeValue type to use to represent
+ * @tparam V  \explicit The specific AttributeValue type to use to represent
  *            the Attribute.
- * \tparam T  \deduced The class holding the data member.
- * \tparam U  \deduced The type of the data member.
- * \param [in]  memberVariable  The address of the data member.
- * \returns The AttributeAccessor.
+ * @tparam T  \deduced The class holding the data member.
+ * @tparam U  \deduced The type of the data member.
+ * @param [in]  memberVariable  The address of the data member.
+ * @returns The AttributeAccessor.
  */
 template <typename V, typename T, typename U>
 inline Ptr<const AttributeAccessor>
@@ -242,7 +242,7 @@
       public:
         /*
          * Construct from a class data member address.
-         * \param [in] memberVariable The class data member address.
+         * @param [in] memberVariable The class data member address.
          */
         MemberVariable(U T::*memberVariable)
             : AccessorHelper<T, V>(),
@@ -286,16 +286,16 @@
 }
 
 /**
- * \ingroup attributeimpl
+ * @ingroup attributeimpl
  *
  * MakeAccessorHelper implementation for a class get functor method.
  *
- * \tparam V  \explicit The specific AttributeValue type to use to represent
+ * @tparam V  \explicit The specific AttributeValue type to use to represent
  *            the Attribute.
- * \tparam T  \deduced The class holding the get functor method.
- * \tparam U  \deduced The return type of the get functor method.
- * \param [in] getter  The address of the class get functor method.
- * \returns The AttributeAccessor.
+ * @tparam T  \deduced The class holding the get functor method.
+ * @tparam U  \deduced The return type of the get functor method.
+ * @param [in] getter  The address of the class get functor method.
+ * @returns The AttributeAccessor.
  */
 template <typename V, typename T, typename U>
 inline Ptr<const AttributeAccessor>
@@ -307,7 +307,7 @@
       public:
         /*
          * Construct from a class get functor method.
-         * \param [in] getter The class get functor method pointer.
+         * @param [in] getter The class get functor method pointer.
          */
         MemberMethod(U (T::*getter)() const)
             : AccessorHelper<T, V>(),
@@ -344,17 +344,17 @@
 }
 
 /**
- * \ingroup attributeimpl
+ * @ingroup attributeimpl
  *
  * MakeAccessorHelper implementation for a class set method
  * returning void.
  *
- * \tparam V  \explicit The specific AttributeValue type to use to represent
+ * @tparam V  \explicit The specific AttributeValue type to use to represent
  *            the Attribute.
- * \tparam T  \deduced The class holding the set method.
- * \tparam U  \deduced The argument type of the set method.
- * \param [in] setter  The address of the class set method, returning void.
- * \returns The AttributeAccessor.
+ * @tparam T  \deduced The class holding the set method.
+ * @tparam U  \deduced The argument type of the set method.
+ * @param [in] setter  The address of the class set method, returning void.
+ * @returns The AttributeAccessor.
  */
 template <typename V, typename T, typename U>
 inline Ptr<const AttributeAccessor>
@@ -366,7 +366,7 @@
       public:
         /*
          * Construct from a class set method.
-         * \param [in] setter The class set method pointer.
+         * @param [in] setter The class set method pointer.
          */
         MemberMethod(void (T::*setter)(U))
             : AccessorHelper<T, V>(),
@@ -409,21 +409,21 @@
 }
 
 /**
- * \ingroup attributeimpl
+ * @ingroup attributeimpl
  *
  * MakeAccessorHelper implementation with a class get functor method
  * and a class set method returning \pname{void}.
  *
  * The two versions of this function differ only in argument order.
  *
- * \tparam W  \explicit The specific AttributeValue type to use to represent
+ * @tparam W  \explicit The specific AttributeValue type to use to represent
  *            the Attribute.
- * \tparam T  \deduced The class holding the functor methods.
- * \tparam U  \deduced The argument type of the set method.
- * \tparam V  \deduced The return type of the get functor method.
- * \param [in] setter The address of the class set method, returning void.
- * \param [in] getter The address of the class get functor method.
- * \returns The AttributeAccessor.
+ * @tparam T  \deduced The class holding the functor methods.
+ * @tparam U  \deduced The argument type of the set method.
+ * @tparam V  \deduced The return type of the get functor method.
+ * @param [in] setter The address of the class set method, returning void.
+ * @param [in] getter The address of the class get functor method.
+ * @returns The AttributeAccessor.
  */
 template <typename W, typename T, typename U, typename V>
 inline Ptr<const AttributeAccessor>
@@ -438,8 +438,8 @@
       public:
         /*
          * Construct from class get functor and set methods.
-         * \param [in] setter The class set method pointer, returning void.
-         * \param [in] getter The class get functor method pointer.
+         * @param [in] setter The class set method pointer, returning void.
+         * @param [in] getter The class get functor method pointer.
          */
         MemberMethod(void (T::*setter)(U), V (T::*getter)() const)
             : AccessorHelper<T, W>(),
@@ -485,8 +485,8 @@
 }
 
 /**
- * \ingroup attributeimpl
- * \copydoc DoMakeAccessorHelperTwo(void(T::*)(U),V(T::*)()const)
+ * @ingroup attributeimpl
+ * @copydoc DoMakeAccessorHelperTwo(void(T::*)(U),V(T::*)()const)
  */
 template <typename W, typename T, typename U, typename V>
 inline Ptr<const AttributeAccessor>
@@ -496,21 +496,21 @@
 }
 
 /**
- * \ingroup attributeimpl
+ * @ingroup attributeimpl
  *
  * MakeAccessorHelper implementation with a class get functor method
  * and a class set method returning \pname{bool}.
  *
  * The two versions of this function differ only in argument order.
  *
- * \tparam W  \explicit The specific AttributeValue type to use to represent
+ * @tparam W  \explicit The specific AttributeValue type to use to represent
  *            the Attribute.
- * \tparam T  \deduced The class holding the functor methods.
- * \tparam U  \deduced The argument type of the set method.
- * \tparam V  \deduced The return type of the get functor method.
- * \param [in] setter The address of the class set method, returning bool.
- * \param [in] getter The address of the class get functor method.
- * \returns The AttributeAccessor.
+ * @tparam T  \deduced The class holding the functor methods.
+ * @tparam U  \deduced The argument type of the set method.
+ * @tparam V  \deduced The return type of the get functor method.
+ * @param [in] setter The address of the class set method, returning bool.
+ * @param [in] getter The address of the class get functor method.
+ * @returns The AttributeAccessor.
  */
 template <typename W, typename T, typename U, typename V>
 inline Ptr<const AttributeAccessor>
@@ -525,8 +525,8 @@
       public:
         /*
          * Construct from class get functor and set method, returning bool.
-         * \param [in] setter The class set method pointer, returning bool.
-         * \param [in] getter The class get functor method pointer.
+         * @param [in] setter The class set method pointer, returning bool.
+         * @param [in] getter The class get functor method pointer.
          */
         MemberMethod(bool (T::*setter)(U), V (T::*getter)() const)
             : AccessorHelper<T, W>(),
@@ -572,8 +572,8 @@
 }
 
 /**
- * \ingroup attributeimpl
- * \copydoc ns3::DoMakeAccessorHelperTwo(bool(T::*)(U),V(T::*)()const)
+ * @ingroup attributeimpl
+ * @copydoc ns3::DoMakeAccessorHelperTwo(bool(T::*)(U),V(T::*)()const)
  */
 template <typename W, typename T, typename U, typename V>
 inline Ptr<const AttributeAccessor>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/attribute.cc ns-3.44/src/core/model/attribute.cc
--- ns-3.43/src/core/model/attribute.cc	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/core/model/attribute.cc	2025-03-09 16:55:49.355371000 -0700
@@ -14,8 +14,8 @@
 #include <sstream>
 
 /**
- * \file
- * \ingroup attributes
+ * @file
+ * @ingroup attributes
  * ns3::AttributeValue, ns3::AttributeAccessor and
  * ns3::AttributeChecker implementations.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/attribute-construction-list.cc ns-3.44/src/core/model/attribute-construction-list.cc
--- ns-3.43/src/core/model/attribute-construction-list.cc	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/core/model/attribute-construction-list.cc	2025-03-09 16:55:49.355371000 -0700
@@ -10,8 +10,8 @@
 #include "log.h"
 
 /**
- * \file
- * \ingroup object
+ * @file
+ * @ingroup object
  * ns3::AttributeConstructionList implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/attribute-construction-list.h ns-3.44/src/core/model/attribute-construction-list.h
--- ns-3.43/src/core/model/attribute-construction-list.h	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/core/model/attribute-construction-list.h	2025-03-09 16:55:49.355371000 -0700
@@ -13,8 +13,8 @@
 #include <list>
 
 /**
- * \file
- * \ingroup object
+ * @file
+ * @ingroup object
  * ns3::AttributeConstructionList declaration.
  */
 
@@ -22,7 +22,7 @@
 {
 
 /**
- * \ingroup object
+ * @ingroup object
  * List of Attribute name, value and checker triples used
  * to construct Objects.
  */
@@ -49,24 +49,24 @@
     /**
      * Add an Attribute to the list.
      *
-     * \param [in] name The Attribute name.
-     * \param [in] checker The checker to use for this Attribute.
-     * \param [in] value The AttributeValue to add.
+     * @param [in] name The Attribute name.
+     * @param [in] checker The checker to use for this Attribute.
+     * @param [in] value The AttributeValue to add.
      */
     void Add(std::string name, Ptr<const AttributeChecker> checker, Ptr<AttributeValue> value);
 
     /**
      * Find an Attribute in the list from its AttributeChecker.
      *
-     * \param [in] checker The AttributeChecker to find.  Typically this is the
+     * @param [in] checker The AttributeChecker to find.  Typically this is the
      *             AttributeChecker from TypeId::AttributeInformation.
-     * \returns The AttributeValue.
+     * @returns The AttributeValue.
      */
     Ptr<AttributeValue> Find(Ptr<const AttributeChecker> checker) const;
 
-    /** \returns The first item in the list */
+    /** @returns The first item in the list */
     CIterator Begin() const;
-    /** \returns The end of the list (iterator to one past the last). */
+    /** @returns The end of the list (iterator to one past the last). */
     CIterator End() const;
 
   private:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/attribute-container.h ns-3.44/src/core/model/attribute-container.h
--- ns-3.43/src/core/model/attribute-container.h	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/core/model/attribute-container.h	2025-03-09 16:55:49.355371000 -0700
@@ -24,8 +24,8 @@
 {
 
 /*!
- * \ingroup attributes
- * \addtogroup attribute_AttributeContainer AttributeContainer Attribute
+ * @ingroup attributes
+ * @addtogroup attribute_AttributeContainer AttributeContainer Attribute
  * AttributeValue implementation for AttributeContainer
  */
 
@@ -33,7 +33,7 @@
 
 // A = attribute value type, C = container type to return
 /**
- * \ingroup attribute_AttributeContainer
+ * @ingroup attribute_AttributeContainer
  *
  * A container for one type of attribute.
  *
@@ -78,7 +78,7 @@
     /**
      * Construct from another container.
      * @tparam CONTAINER \deduced type of container passed for initialization.
-     * \param c Instance of CONTAINER with which to initialize AttributeContainerValue.
+     * @param c Instance of CONTAINER with which to initialize AttributeContainerValue.
      */
     template <class CONTAINER>
     AttributeContainerValue(const CONTAINER& c);
@@ -103,7 +103,7 @@
     // defacto pure virtuals to integrate with built-in accessor code
     /**
      * Return a container of items.
-     * \return Container of items.
+     * @return Container of items.
      */
     result_type Get() const;
     /**
@@ -112,17 +112,17 @@
      * This method assumes \p c has stl-style begin and end methods.
      * The AttributeContainerValue value is cleared before copying from \p c.
      * @tparam T type of container.
-     * \param c Container from which to copy items.
+     * @param c Container from which to copy items.
      */
     template <class T>
     void Set(const T& c);
     /**
      * Set the given variable to the values stored by this TupleValue object.
      *
-     * \tparam T \deduced the type of the given variable (normally, the argument type
+     * @tparam T \deduced the type of the given variable (normally, the argument type
      *           of a set method or the type of a data member)
-     * \param value the given variable
-     * \return true if the given variable was set
+     * @param value the given variable
+     * @return true if the given variable was set
      */
     template <typename T>
     bool GetAccessor(T& value) const;
@@ -130,44 +130,44 @@
     // NS3 interface
     /**
      * NS3-style Number of items.
-     * \return Number of items in container.
+     * @return Number of items in container.
      */
     size_type GetN() const;
     /**
      * NS3-style beginning of container.
-     * \return Iterator pointing to first time in container.
+     * @return Iterator pointing to first time in container.
      */
     Iterator Begin();
     /**
      * NS3-style ending of container.
-     * \return Iterator pointing one past last item of container.
+     * @return Iterator pointing one past last item of container.
      */
     Iterator End();
 
     // STL-interface
     /**
      * STL-style number of items in container
-     * \return number of items in container.
+     * @return number of items in container.
      */
     size_type size() const;
     /**
      * STL-style beginning of container.
-     * \return Iterator pointing to first item in container.
+     * @return Iterator pointing to first item in container.
      */
     iterator begin();
     /**
      * STL-style end of container.
-     * \return Iterator pointing to one past last item in container.
+     * @return Iterator pointing to one past last item in container.
      */
     iterator end();
     /**
      * STL-style const beginning of container.
-     * \return Const iterator pointing to first item in container.
+     * @return Const iterator pointing to first item in container.
      */
     const_iterator begin() const;
     /**
      * STL-style const end of container.
-     * \return Const iterator pointing to one past last item in container.
+     * @return Const iterator pointing to one past last item in container.
      */
     const_iterator end() const;
 
@@ -180,7 +180,7 @@
      * @tparam ITER \deduced iterator type
      * \param[in] begin Points to first item to copy
      * \param[in] end Points to one after last item to copy
-     * \return This object with items copied.
+     * @return This object with items copied.
      */
     template <class ITER>
     inline Ptr<AttributeContainerValue<A, Sep, C>> CopyFrom(const ITER begin, const ITER end);
@@ -189,97 +189,97 @@
 };
 
 /*!
- * \ingroup attribute_AttributeContainer
+ * @ingroup attribute_AttributeContainer
  *
- * \class  ns3::AttributeContainerChecker "attribute-container.h"
+ * @class  ns3::AttributeContainerChecker "attribute-container.h"
  * AttributeChecker implementation for AttributeContainerValue.
- * \see AttributeChecker
+ * @see AttributeChecker
  */
 class AttributeContainerChecker : public AttributeChecker
 {
   public:
     /**
      * Set the item checker
-     * \param itemchecker The item checker
+     * @param itemchecker The item checker
      */
     virtual void SetItemChecker(Ptr<const AttributeChecker> itemchecker) = 0;
     /**
      * Get the item checker
-     * \return The item checker
+     * @return The item checker
      */
     virtual Ptr<const AttributeChecker> GetItemChecker() const = 0;
 };
 
 /**
- * \ingroup attribute_AttributeContainer
+ * @ingroup attribute_AttributeContainer
  *
  * Make AttributeContainerChecker from AttributeContainerValue.
  * @tparam A \deduced AttributeValue type in container.
  * @tparam Sep \deduced Character separator between elements for parsing.
  * @tparam C \deduced Container type returned by Get.
  * \param[in] value AttributeContainerValue from which to deduce types.
- * \return AttributeContainerChecker for value.
+ * @return AttributeContainerChecker for value.
  */
 template <class A, char Sep, template <class...> class C>
 Ptr<AttributeChecker> MakeAttributeContainerChecker(
     const AttributeContainerValue<A, Sep, C>& value);
 
 /**
- * \ingroup attribute_AttributeContainer
+ * @ingroup attribute_AttributeContainer
  *
  * Make AttributeContainerChecker using explicit types, initialize item checker.
  * @tparam A AttributeValue type in container.
  * @tparam Sep Character separator between elements for parsing.
  * @tparam C Container type returned by Get.
  * \param[in] itemchecker AttributeChecker used for each item in the container.
- * \return AttributeContainerChecker.
+ * @return AttributeContainerChecker.
  */
 template <class A, char Sep = ',', template <class...> class C = std::list>
 Ptr<const AttributeChecker> MakeAttributeContainerChecker(Ptr<const AttributeChecker> itemchecker);
 
 /**
- * \ingroup attribute_AttributeContainer
+ * @ingroup attribute_AttributeContainer
  *
  * Make uninitialized AttributeContainerChecker using explicit types.
  * @tparam A AttributeValue type in container.
  * @tparam Sep Character separator between elements for parsing.
  * @tparam C Container type returned by Get.
- * \return AttributeContainerChecker.
+ * @return AttributeContainerChecker.
  */
 template <class A, char Sep = ',', template <class...> class C = std::list>
 Ptr<AttributeChecker> MakeAttributeContainerChecker();
 
 /**
- * \ingroup attribute_AttributeContainer
+ * @ingroup attribute_AttributeContainer
  *
  * Make AttributeContainerAccessor  using explicit types.
  * @tparam A AttributeValue type in container.
  * @tparam Sep Character separator between elements for parsing.
  * @tparam C Container type returned by Get.
- * \tparam T1 \deduced The type of the class data member,
+ * @tparam T1 \deduced The type of the class data member,
  *            or the type of the class get functor or set method.
- * \param [in] a1 The address of the data member,
+ * @param [in] a1 The address of the data member,
  *            or the get or set method.
- * \return AttributeContainerAccessor.
+ * @return AttributeContainerAccessor.
  */
 template <typename A, char Sep = ',', template <typename...> class C = std::list, typename T1>
 Ptr<const AttributeAccessor> MakeAttributeContainerAccessor(T1 a1);
 
 /**
- * \ingroup attribute_AttributeContainer
+ * @ingroup attribute_AttributeContainer
  *
  * Make AttributeContainerAccessor  using explicit types.
  * @tparam A AttributeValue type in container.
  * @tparam Sep Character separator between elements for parsing.
  * @tparam C Container type returned by Get.
- * \tparam T1 \deduced The type of the class data member,
+ * @tparam T1 \deduced The type of the class data member,
  *            or the type of the class get functor or set method.
  *
- * \tparam T2 \deduced The type of the getter class functor method.
- * \param [in] a2 The address of the class method to set the attribute.
- * \param [in] a1 The address of the data member,
+ * @tparam T2 \deduced The type of the getter class functor method.
+ * @param [in] a2 The address of the class method to set the attribute.
+ * @param [in] a1 The address of the data member,
  *            or the get or set method.
- * \return AttributeContainerAccessor.
+ * @return AttributeContainerAccessor.
  */
 template <typename A,
           char Sep = ',',
@@ -301,9 +301,9 @@
 {
 
 /**
- * \ingroup attribute_AttributeContainer
+ * @ingroup attribute_AttributeContainer
  *
- * \internal
+ * @internal
  *
  * Templated AttributeContainerChecker class that is instantiated
  * in MakeAttributeContainerChecker. The non-templated base ns3::AttributeContainerChecker
@@ -316,7 +316,7 @@
     AttributeContainerChecker();
     /**
      * Explicit constructor
-     * \param itemchecker The AttributeChecker.
+     * @param itemchecker The AttributeChecker.
      */
     explicit AttributeContainerChecker(Ptr<const AttributeChecker> itemchecker);
     void SetItemChecker(Ptr<const AttributeChecker> itemchecker) override;
